@import "abstracts/abstracts";

:host {
  .explanation {
    padding-bottom: 10px;
    white-space: pre-line;
  }

  .warning {
    color: $warning;
    padding-bottom: 20px;
  }

  .list {
    > li {
      cursor: pointer;
      display: grid;
      grid-template-columns: max-content 1fr;
      grid-gap: 10px;
      padding: 10px;
      align-items: center;

      .fullname {
        margin: 0;

        .firstName {
          font-style: italic;
          padding-right: 6px;
        }
      }

      .image-orcid {
        padding-right: 5px;
        position: relative;
        top: 3px;
      }

      .institution-list {
        padding-top: 4px;

        li {
          display: inline;
          list-style-type: none;

          &:not(:last-child):after {
            content: ', ';
          }
        }
      }

      &:nth-child(even) {
        background-color: $extra-ultra-light-grey;
      }

      &.is-active {
        background-color: $extra-light-grey;
      }

      &:focus {
        background-color: $extra-light-grey;
      }

      &.your-input {
        border-bottom: 1px solid $extra-ultra-light-grey;
      }
    }
  }
}

@include isInDarkMode {
  .list {
    > li {

      &:nth-child(even) {
        background-color: $dark-mode-toolbar;
      }

      &:focus {
        background-color: $dark-mode-menu-active;
      }

      &.is-active {
        background-color: $primary-color;
      }
    }
  }
}
